//=============================================================================

#ifndef ENTRY_H
#define ENTRY_H

#include <fstream>
#include <string>
#include <vector>

//-----------------------------------------------------------------------------

class entry
{
public:
   const std::string& name() const { return name_; }

   void edit();

   void input(const std::string& name);
   void print() const;

   void load(std::ifstream& in, int& line);
   void write(std::ofstream& out) const;

private:
   using numbers = std::vector<std::string>;
   std::string name_;
   std::string street_;
   std::string town_;
   numbers numbers_;
};

//-----------------------------------------------------------------------------

#endif
